XFCE4-TERMINAL(1)

NAME
xfce4-terminal - Emulatore di Terminale per X

SINOSSI

xfce4-terminal [OPZIONI...]

DESCRIZIONE

xfce4-terminal è ciò che è chiamato emulatore di terminale X, spesso indicato come terminale o shell. Fornisce all'interno del desktop un equivalente della schermata testo vecchio stile , la quale può tuttavia facilmente condividere lo schermo con altre applicazioni grafiche. Gli utenti di Windows potrebbero già essere familiari con la funzione MS-DOS Prompt, la quale ha un ruolo analogo di offrire una linea di comando DOS all'interno di Windows, anche se si pùo notare che la CLI UNIX fornisce di gran lunga più potenzialità e facilità d'uso rispetto al DOS.

xfce4-terminal emula l'applicazione xterm sviluppata dal consorzio X. A sua volta, l'applicazione xterm emula il terminale DEC VT102 e supporta le sequenze di fuga del DEC VT220. Una sequenza di fuga è costituita da una serie di caratteri che iniziano col carattere Esc. xfce4-terminal accetta tutte le sequenze di fuga che i terminali VT102 e VT220 utilizzano come funzioni così come per posizionare il cursore o cancellare lo schermo.

OPZIONI

  Riassunto delle opzioni

Di seguito è riportato un riassunto di tutte le opzioni, raggruppate per tipo. Le spiegazioni sono contenute nelle sezioni seguenti.

Opzioni generali
    -h, --help; -V, --version; --disable-server; --default-display=schermo; --default-working-directory=cartella

Separatori di finestra o di scheda
    --tab; --window

Opzioni schede
    -x, --execute; -e, --command=comando; --working-directory=cartella; -T, --title=titolo; -H, --hold

Opzioni della finestra
    --display=schermo; --drop-down; --geometry=geometria; --role=ruolo; --startup-id=stringa; -I, --icon=icona; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbar, --hide-toolbar

  Opzioni generali

-h, --help
    Elenca le varie opzioni da linea di comando suportate da xfce4-terminal ed esce

-V, --version
    Stampa le informazioni sulla versione ed esce

--disable-server
    Non registrare con il bus del messaggio di sessione D-BUS

--color-table
    Mostra i codici colore

--default-display=schermo
    Schermo X predefinito da utilizzare.

--default-working-directory=cartella
    Imposta cartella come cartella di lavoro predefinita per il terminale

  Separatori di finestra o di scheda

--tab
    Apre una nuova scheda nell'ultima finestra specificata; può essere fornit apiù di una di queste opzioni.

    Se si uutilizza questa come prima opzione, senza --window separators, verrà riutilizzata l'ultima finestra.

--window
    Apre una nuova finestra contenente una scheda; può essere fornita più di una di queste opzioni.

  Opzioni schede

-x, --execute
    Esegue il resto della linea di comando all'interno del terminale

-e, --command=comando
    Esegue comando all'interno del terminale

--working-directory=cartella
    Imposta cartella come cartella di lavoro del terminale

-T, --title=titolo
    Imposta titolo come titolo iniziale della finestra del terminale

-H, --hold
    Comporta che il terminale non viene chiuso quando il comando figlio è terminato

  Opzioni della finestra

--display=schermo
    Schermo X da utilizzare per l'ultima finestra specificata.

--drop-down
    Will start the window in drop-down mode (also called a Quake-style terminal). This will only apply to the first window started with this option. It is advised to bind this to a shortcut in the keyboard preferences.

--geometry=geometria
    Imposta la geometria dell'ultima finestra specificata a geometria. Si guardi X(7) per maggiori informazioni su come specificare la geometria della finestra.

--role=ruolo
    Imposta il ruolo della finestra dell'ultima finestra specificata a ruolo. Si applica solamente a una finestra e può essere specificato una sola volta per ciascuna finestra creata da linea di comando. E' generalmente utilizzato per la gestione delle sessioni all'interno di xfce4-terminal.

--startup-id=stringa
    Specifica l'id di notifica di avvio per l'ultima finestra specificata. Viene utilizzato internamente per inoltrare l'id di notifica di avvio quando si utilizza il servizio D-BUS.

-I, --icon=icona
    Imposta l'icona del terminale come nome icona o nome file.

--fullscreen
    Imposta l'ultima finestra specificata in modalità a schermo intero; si applica solamente a una finestra; può essere specificato più di una volta per ciascuna finestra creata da linea di comando.

--maximize
    Imposta l'ultima finestra specificata in modalità massimizzata; si applica solamente a una finestra; può essere specificato più di una volta per ciascuna finestra creata da linea di comando.

--show-menubar
    Abilita la barra dei menu per l'ultima finestra specificata. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

--hide-menubar
    Disabilita la barra dei menu per l'ultima finestra specificata. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

--show-borders
    Mostra i bordi della finestra per l'ultima finestra specificata. Si applica a una sola finestra. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

--hide-borders
    Nasconde i bordi della finestra per l'ultima finestra specificata. Si applica a una sola finestra. Può essere specificato solo una volta per ciascuna finestra creata da linea di comando.

--show-toolbar
    Turn on the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

--hide-toolbar
    Turn off the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

ESEMPI

xfce4-terminal --geometry 80x40 --command mutt --tab --command mc
    Apre una nuova finestra di terminale di dimensione di 80 colonne e 40 righe con due schede all'interno, dove la prima scheda esegue mutt e la seconda scheda esegue mc.

AMBIENTE

xfce4-terminal uses the Basedir Specification as defined on Freedesktop.org[1] to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

${XDG_CONFIG_HOME}
    Prima cartella base in cui ricercare i file di configurazione. Di norma, è impostato a ~/.config/.

${XDG_CONFIG_DIRS}
    Lista separata da virgole delle cartelle base che contengono i dati di configurazione. Di norma, l'applicazione cerca in ${sysconfdir}/xdg/. Il valore di ${sysconfdir} dipende da come il programma è stato compilato e per i pacchetti sarà spesso /etc/.

${XDG_DATA_HOME}
    Radice per i file dati per singolo utente. Di norma, è impostato a ~/.local/share/.

${XDG_DATA_DIRS}
    Insieme di cartelle base, in ordine di preferenza, relative a quali file di dati dovranno essere ricercati in aggiunta alla cartella base ${XDG_DATA_HOME}. Le cartelle devono essere separate da una virgola.

FILE

${XDG_CONFIG_DIRS}/xfce4/terminal/terminalrc
    Percorso del file di configurazione che include le preferenze che controllano l'aspetto di xfce4-terminal.

VEDERE ANCHE

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Sviluppatore

Benedikt Meurer <benny@xfce.org>
Sviluppatore software, os-cillation, Sviluppo del sistema,
    Sviluppatore

NOTES

1.  Freedesktop.org
    http://freedesktop.org/